# Uses of Interface
java.lang.classfile.attribute.RuntimeInvisibleAnnotationsAttribute

Packages that use RuntimeInvisibleAnnotationsAttribute
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.
java.lang.classfile.attribute
Provides interfaces describing `class` file attributes for the `java.lang.classfile` library.

- ## Uses of RuntimeInvisibleAnnotationsAttribute in java.lang.classfile

  Methods in java.lang.classfile that return types with arguments of type RuntimeInvisibleAnnotationsAttribute
  Modifier and Type
  Method
  Description
  `static AttributeMapper<RuntimeInvisibleAnnotationsAttribute>`
  Attributes.`runtimeInvisibleAnnotations()`
  Returns the mapper for the `RuntimeInvisibleAnnotations` attribute.

- ## Uses of RuntimeInvisibleAnnotationsAttribute in java.lang.classfile.attribute

  Subinterfaces with type arguments of type RuntimeInvisibleAnnotationsAttribute in java.lang.classfile.attribute
  Modifier and Type
  Interface
  Description
  `interface`
  `RuntimeInvisibleAnnotationsAttribute`
  Models the `RuntimeInvisibleAnnotations` attribute (JVMS 4.7.17), which stores declaration annotations on this structure that are visible to `class` file consumers but are not visible to core reflection.
  Methods in java.lang.classfile.attribute that return RuntimeInvisibleAnnotationsAttribute
  Modifier and Type
  Method
  Description
  `static RuntimeInvisibleAnnotationsAttribute`
  RuntimeInvisibleAnnotationsAttribute.`of(Annotation... annotations)`
  Returns a `RuntimeInvisibleAnnotations` attribute.
  `static RuntimeInvisibleAnnotationsAttribute`
  RuntimeInvisibleAnnotationsAttribute.`of(List<Annotation> annotations)`
  Returns a `RuntimeInvisibleAnnotations` attribute.